<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm_network_info Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.3.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmcm__network__info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mcm_network_info Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a8fad6727994d48c65035da33483fb35e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html#a8fad6727994d48c65035da33483fb35e">enabled</a></td></tr>
<tr class="separator:a8fad6727994d48c65035da33483fb35e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ab60becabbd7f70e7775875338d3ea0"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html#a7ab60becabbd7f70e7775875338d3ea0">wan_priority</a></td></tr>
<tr class="separator:a7ab60becabbd7f70e7775875338d3ea0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a249f6684e118b42c7967507e9746a48d"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html#a249f6684e118b42c7967507e9746a48d">name</a> [64]</td></tr>
<tr class="separator:a249f6684e118b42c7967507e9746a48d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f978dd9876acda2c1d25fa1191d3505"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html#a4f978dd9876acda2c1d25fa1191d3505">device_type</a> [16]</td></tr>
<tr class="separator:a4f978dd9876acda2c1d25fa1191d3505"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa23031d671bb905f72186fe8edc4a377"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html#aa23031d671bb905f72186fe8edc4a377">device_name</a> [16]</td></tr>
<tr class="separator:aa23031d671bb905f72186fe8edc4a377"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3fe6ceda47f2ff6983dae7b071029f0"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html#aa3fe6ceda47f2ff6983dae7b071029f0">network_type</a> [16]</td></tr>
<tr class="separator:aa3fe6ceda47f2ff6983dae7b071029f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a632377fbe1f9ded216adf3dbd9145a45"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html#a632377fbe1f9ded216adf3dbd9145a45">ipv4_method</a> [16]</td></tr>
<tr class="separator:a632377fbe1f9ded216adf3dbd9145a45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acad52ce45f13aa0339eedc4be9580852"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html#acad52ce45f13aa0339eedc4be9580852">ipv6_method</a> [16]</td></tr>
<tr class="separator:acad52ce45f13aa0339eedc4be9580852"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7511185a2f1e9bcda5ce4517d06a2e12"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html#a7511185a2f1e9bcda5ce4517d06a2e12">mac_address</a> [64]</td></tr>
<tr class="separator:a7511185a2f1e9bcda5ce4517d06a2e12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33de69fdf8aa465daabf0c16124958e6"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html#a33de69fdf8aa465daabf0c16124958e6">err_reason</a> [200]</td></tr>
<tr class="separator:a33de69fdf8aa465daabf0c16124958e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data structure for networking information </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="aa23031d671bb905f72186fe8edc4a377"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa23031d671bb905f72186fe8edc4a377">&#9670;&nbsp;</a></span>device_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_info::device_name[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>device name </p>

</div>
</div>
<a id="a4f978dd9876acda2c1d25fa1191d3505"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f978dd9876acda2c1d25fa1191d3505">&#9670;&nbsp;</a></span>device_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_info::device_type[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>device type </p>

</div>
</div>
<a id="a8fad6727994d48c65035da33483fb35e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fad6727994d48c65035da33483fb35e">&#9670;&nbsp;</a></span>enabled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool mcm_network_info::enabled</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>enabled </p>

</div>
</div>
<a id="a33de69fdf8aa465daabf0c16124958e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33de69fdf8aa465daabf0c16124958e6">&#9670;&nbsp;</a></span>err_reason</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_info::err_reason[200]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>error reason </p>

</div>
</div>
<a id="a632377fbe1f9ded216adf3dbd9145a45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a632377fbe1f9ded216adf3dbd9145a45">&#9670;&nbsp;</a></span>ipv4_method</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_info::ipv4_method[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv4 method </p>

</div>
</div>
<a id="acad52ce45f13aa0339eedc4be9580852"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acad52ce45f13aa0339eedc4be9580852">&#9670;&nbsp;</a></span>ipv6_method</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_info::ipv6_method[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv6 method </p>

</div>
</div>
<a id="a7511185a2f1e9bcda5ce4517d06a2e12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7511185a2f1e9bcda5ce4517d06a2e12">&#9670;&nbsp;</a></span>mac_address</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_info::mac_address[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>mac address </p>

</div>
</div>
<a id="a249f6684e118b42c7967507e9746a48d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a249f6684e118b42c7967507e9746a48d">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_info::name[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>name </p>

</div>
</div>
<a id="aa3fe6ceda47f2ff6983dae7b071029f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3fe6ceda47f2ff6983dae7b071029f0">&#9670;&nbsp;</a></span>network_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_info::network_type[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>network type </p>

</div>
</div>
<a id="a7ab60becabbd7f70e7775875338d3ea0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ab60becabbd7f70e7775875338d3ea0">&#9670;&nbsp;</a></span>wan_priority</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t mcm_network_info::wan_priority</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>wan priority </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
